[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TPrepareDbGridCanvasEvent

TPrepareDbGridCanvasEvent - generic event handling method for preparing the Canvas for a DataBase Grid

## Declaration

Source position: dbgrids.pas line 106

`type TPrepareDbGridCanvasEvent = procedure(`
`sender: TObject;`
`DataCol: Integer;`
`Column: TColumn;`
`AState: TGridDrawState`
`) of object;`

The latest version of this document can be found at lazarus-ccr.sourceforge.net.